/* File: config.h

	SHARP MZ-2000/2200/80B/B2 Emulator "EmuZ-2000"
		Configurations Settings

	Copyright (C) 2002-2019 FUKUI, Toshio.
	This file is part of the emz2000 software.
	See copyright notice in the COPYING file.
*/

#ifndef __CONFIG_H_INCLUDED
#define __CONFIG_H_INCLUDED

#ifdef HAVE_CONFIG_H
#include "../config.h"
#endif

/* generic information */
#define EMZ2000_VERSION		"0.95.12"
#define EMZ2000_VERSION_VALUE	9	/* Ex. Version 1.0 = 10 */
#define EMZ2000_VERSION_VALUE1	0	/* VALUE1 . VALUE2 */
#define EMZ2000_VERSION_VALUE2	95
#define EMZ2000_COPYRIGHT	"1999-2019"

/* general settings - part 2 */
#define APPNAME			"emz2000"
#define APPWINDOWNAME		APPNAME

#include "../config2.h"

#endif /* __CONFIG_H_INCLUDED */

/*
	Local Variables:
	mode:c++
	c-set-style:"k&r"
	c-basic-offset:8
	tab-width:8
	End:
*/
