/* File: gsave.h

	SHARP MZ-2000/2200/80B/B2 Emulator "emz2000"
		Output Graphics Files Module Headers

	Copyright (C) 1996-2019 FUKUI, Toshio.
	This file is part of the emz2000 software.
	See copyright notice in the COPYING file.
*/

#ifndef __GSAVE_H_INCLUDED
#define __GSAVE_H_INCLUDED

#define GSAVE_ATTR_NONE		0x0000U
#define GSAVE_ATTR_NOMSG	0x0001U

extern int gsave_writefile_bmp( unsigned int attr, const char *filename,
	int sx, int sy, const unsigned char *p );
extern int gsave_writefile_gif( unsigned int attr, const char *filename,
	int sx, int sy, const unsigned char *p );
extern int gsave_writefile( unsigned int attr, const char *filename,
	int sx, int sy, const unsigned char *p );
extern int gsave_reset_param_gif( void );
extern int gsave_set_param_gif( int interlace );
extern int gsave_init( void );

#endif /* __GSAVE_H_INCLUDED */

/*
	Local Variables:
	mode:c++
	c-set-style:"k&r"
	c-basic-offset:8
	tab-width:8
	End:
*/
